#pragma strict

private var moveSpeed : float = 8.0;
private var jumpSpeed : float = 8.0;
private var fallSpeed : float = 10.0;
private var jumpHeight : float;
private var dir : int = 1;

private var grounded : boolean = true;
private var leftAllow : boolean = true;
private var rightAllow : boolean = true;
private var jumping : boolean = false;
private var foot : boolean = true;
private var oil = true;


function Awake ()
{
	jumpHeight = gameObject.transform.position.y + 7;
}

function Update () 
{
	if (!foot && !jumping)
	{
		grounded = false;
	}
	//print(jumping);
	if (gameObject.transform.position.y >= jumpHeight)
	{
		grounded = false;
	}
	
	if (!grounded)
	{
		ApplyGravity();
	} 
	//movement code for arrows
	if (Input.GetKey("left") && leftAllow == true)
	{
		if (!jumping)
		{
			dir = -1;
			ChangeDir();
		}
		gameObject.transform.position.x += dir * moveSpeed * Time.deltaTime; 
	}
	else if (Input.GetKey("right") && rightAllow == true)
	{
		if (!jumping)
		{
			dir = 1;
			ChangeDir();
		}
		gameObject.transform.position += Vector3.right * moveSpeed * Time.deltaTime; 
	}
	if (Input.GetKey("up") && grounded == true)
	{
		gameObject.transform.position.y += jumpSpeed * Time.deltaTime;
		jumping = true;
	}
	if (Input.GetKeyUp("up"))
	{
		grounded = false;
	}
}

function ApplyGravity ()
{
	gameObject.transform.position.y -= fallSpeed * Time.deltaTime;
}

function ChangeDir ()
{
	if (dir == -1)
	{
		gameObject.transform.localScale.x = -1;
	}
	else
	{
		gameObject.transform.localScale.x = 1;
	}
}

function OnTriggerStay (col : Collider)
{
	if (Input.GetKey("space"))
	{
		if (col.gameObject.tag == "sonic")
		{
			Camera.main.SendMessage("TransferSonic",SendMessageOptions.DontRequireReceiver);
		}
		if (col.gameObject.tag == "PastLeverOne")
		{
			Camera.main.SendMessage("PastLeverOne",SendMessageOptions.DontRequireReceiver);
		}
		if (col.gameObject.tag == "PastLeverTwo")
		{
			Camera.main.SendMessage("DrawBridge",SendMessageOptions.DontRequireReceiver);
		}
		if (col.gameObject.tag == "Final Lever")
		{
			Camera.main.SendMessage("FinalLever",SendMessageOptions.DontRequireReceiver);
		}
		if (col.gameObject.tag == "key")
		{
			Camera.main.SendMessage("TransferKey",SendMessageOptions.DontRequireReceiver);
		}
		if (oil == true)
		{
			if (col.gameObject.tag == "Fix")
			{
				Camera.main.SendMessage("OilLever",SendMessageOptions.DontRequireReceiver);
			}
		}
	}	
}

function OnTriggerEnter (col : Collider)
{
	if (col.collider.tag == "Ground" || col.gameObject.tag == "Box")
	{
		foot = true;
		grounded = true;
		jumping = false;
		jumpHeight = gameObject.transform.position.y + 7;
	}
	if (col.gameObject.tag == "Collider Right")
	{
		rightAllow = false;
	}
	if (col.gameObject.tag == "Collider Left")
	{
		leftAllow = false;
	}	
	if (col.gameObject.tag == "Oil")
	{
		oil = true;
		Camera.main.SendMessage("OilAcquired",SendMessageOptions.DontRequireReceiver);
		
	}
	if (col.gameObject.tag == "TARDIS")
	{
		Camera.main.SendMessage("Allonsy",SendMessageOptions.DontRequireReceiver);
	}
}

function OnTriggerExit (col : Collider)
{
	if (col.gameObject.tag == "Collider Right")
	{
		rightAllow = true;
	}
	if (col.gameObject.tag == "Collider Left")
	{
		leftAllow = true;
	}	
	if (col.gameObject.tag == "Ground")
	{
		foot = false;
	}
}